求大佬们指点

Traceback (most recent call last):

During handling of the above exception, another exception occurred:

永利皇宫手机版下载 ,  File
“e:\python\envs\py2scripy\lib\site-packages\pip\basecommand.py”,
line 215, in main

Traceback (most recent call last):
File “c:\program
files\python37\lib\site-packages\pip\basecommand.py”, line 215, in
main
status = self.run(options, args)
File “c:\program
files\python37\lib\site-packages\pip\commands\install.py”, line
324, in run
requirement_set.prepare_files
File “c:\program
files\python37\lib\site-packages\pip\req\req_set.py”, line 380,
in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “c:\program
files\python37\lib\site-packages\pip\req\req_set.py”, line 634,
in prepare_file
abstract_dist.prep_for_dist()
File “c:\program
files\python37\lib\site-packages\pip\req\req_set.py”, line 129,
in prep_for_dist
self.req_to_install.run_egg_info()
File “c:\program
files\python37\lib\site-packages\pip\req\req_install.py”, line
439, in run_egg_info
command_desc=’python setup.py egg_info’)
File “c:\program
files\python37\lib\site-packages\pip\utils\
_init__.py”, line
676, in call_subprocess
line = console_to_str(proc.stdout.readline
File “c:\program
files\python37\lib\site-packages\pip\compat__init__.py”, line
75, in console_to_str
return s.decode
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

  Failed building wheel for Twisted

有未有大佬告诉一下是哪个地方出了难题???

    line = console_to_str(proc.stdout.readline())

用pip下载gensim现身exception 求大佬们辅导!!! 5C
Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File “c:\program
files\python37\lib\site-packages\pip\compat__init__.py”, line
73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb9 in position 14:
invalid start byte

UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb6 in position 30:
invalid start byte

UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb6 in position 30:
invalid start byte

  Running setup.py bdist_wheel for Twisted … error

参照他事他说加以考查连接形式:

    prefix=options.prefix_path,

    spinner=spinner,

  File
“e:\python\envs\py2scripy\lib\site-packages\pip\utils\__init__.py”,
line 676, in call_subprocess

    return s.decode(sys.__stdout__.encoding)

    return s.decode(‘utf_8’)

赶尽杀绝办法:

  File
“e:\python\envs\py2scripy\lib\site-packages\pip\commands\install.py”,
line 342, in run

  File
“e:\python\envs\py2scripy\lib\site-packages\pip\compat\__init__.py”,
line 73, in console_to_str

  File
“e:\python\envs\py2scripy\lib\site-packages\pip\compat\__init__.py”,
line 75, in console_to_str

网站地图xml地图